package org.jeecg.modules.commCity.service;

import org.jeecg.modules.commCity.entity.CommCity;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.exception.JeecgBootException;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import java.util.List;

/**
 * @Description: 城市列表
 * @Author: jeecg-boot
 * @Date:   2024-12-05
 * @Version: V1.0
 */
public interface ICommCityService extends IService<CommCity> {

	/**根节点父ID的值*/
	public static final String ROOT_PID_VALUE = "0";
	
	/**树节点有子节点状态值*/
	public static final String HASCHILD = "1";
	
	/**树节点无子节点状态值*/
	public static final String NOCHILD = "0";

	/**新增节点*/
	void addCommCity(CommCity commCity);
	
	/**修改节点*/
	void updateCommCity(CommCity commCity) throws JeecgBootException;
	
	/**删除节点*/
	void deleteCommCity(String id) throws JeecgBootException;

	/**查询所有数据，无分页*/
    List<CommCity> queryTreeListNoPage(QueryWrapper<CommCity> queryWrapper);

}
