package org.jeecg.modules.commonComment.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 评论信息表
 * @Author: jeecg-boot
 * @Date:   2024-12-07
 * @Version: V1.0
 */
@Data
@TableName("common_comment")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="common_comment对象", description="评论信息表")
public class CommonComment implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**评论标题*/
	@Excel(name = "评论标题", width = 15)
    @ApiModelProperty(value = "评论标题")
    private java.lang.String title;
	/**评论名称*/
	@Excel(name = "评论名称", width = 15)
    @ApiModelProperty(value = "评论名称")
    private java.lang.String userName;
	/**评论头像*/
	@Excel(name = "评论头像", width = 15)
    @ApiModelProperty(value = "评论头像")
    private java.lang.String userHead;
	/**评论内容*/
	@Excel(name = "评论内容", width = 15)
    @ApiModelProperty(value = "评论内容")
    private java.lang.String userValue;
	/**评论图片*/
	@Excel(name = "评论图片", width = 15)
    @ApiModelProperty(value = "评论图片")
    private java.lang.String userImage;
	/**评论的房*/
	@Excel(name = "评论的房", width = 15)
    @ApiModelProperty(value = "评论的房")
    private java.lang.String homeId;
	/**评论用户*/
	@Excel(name = "评论用户", width = 15)
    @ApiModelProperty(value = "评论用户")
    private java.lang.String userId;
	/**评论分数*/
	@Excel(name = "评论分数", width = 15)
    @ApiModelProperty(value = "评论分数")
    private java.lang.String num;
}
