package org.jeecg.modules.commonHome.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 房源信息表
 * @Author: jeecg-boot
 * @Date:   2025-03-23
 * @Version: V1.0
 */
@Data
@TableName("common_home")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="common_home对象", description="房源信息表")
public class CommonHome implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**所属区域*/
	@Excel(name = "所属区域", width = 15, dictTable = "common_icon_image", dicText = "title", dicCode = "id")
	@Dict(dictTable = "common_icon_image", dicText = "title", dicCode = "id")
    @ApiModelProperty(value = "所属区域")
    private java.lang.String iconClass;
	/**图片*/
	@Excel(name = "图片", width = 15)
    @ApiModelProperty(value = "图片")
    private java.lang.String image;
	/**标题*/
	@Excel(name = "标题", width = 15)
    @ApiModelProperty(value = "标题")
    private java.lang.String title;
	/**分类标识*/
	@Excel(name = "分类标识", width = 15, dictTable = "common_class", dicText = "title", dicCode = "id")
	@Dict(dictTable = "common_class", dicText = "title", dicCode = "id")
    @ApiModelProperty(value = "分类标识")
    private java.lang.String classId;
	/**左上角图标*/
	@Excel(name = "左上角图标", width = 15)
    @ApiModelProperty(value = "左上角图标")
    private java.lang.String iconImage;
	/**标签*/
	@Excel(name = "标签", width = 15)
    @ApiModelProperty(value = "标签")
    private java.lang.String iconTitle;
	/**价格*/
	@Excel(name = "价格", width = 15)
    @ApiModelProperty(value = "价格")
    private java.math.BigDecimal price;
	/**单位*/
	@Excel(name = "单位", width = 15)
    @ApiModelProperty(value = "单位")
    private java.lang.String unit;
	/**地址*/
	@Excel(name = "地址", width = 15)
    @ApiModelProperty(value = "地址")
    private java.lang.String address;
	/**浏览量*/
	@Excel(name = "浏览量", width = 15)
    @ApiModelProperty(value = "浏览量")
    private java.lang.Integer num;
	/**年限*/
	@Excel(name = "年限", width = 15)
    @ApiModelProperty(value = "年限")
    private java.lang.Integer timeGo;
	/**热点名称*/
	@Excel(name = "热点名称", width = 15)
    @ApiModelProperty(value = "热点名称")
    private java.lang.String iconName;
	/**所属分类*/
	@Excel(name = "所属分类", width = 15, dictTable = "common_icon_image", dicText = "title", dicCode = "id")
	@Dict(dictTable = "common_icon_image", dicText = "title", dicCode = "id")
    @ApiModelProperty(value = "所属分类")
    private java.lang.String commonClass;
	/**视频*/
	@Excel(name = "视频", width = 15)
    @ApiModelProperty(value = "视频")
    private java.lang.String homeMp4;
	/**户型*/
	@Excel(name = "户型", width = 15)
    @ApiModelProperty(value = "户型")
    private java.lang.String homeType;
	/**面积*/
	@Excel(name = "面积", width = 15)
    @ApiModelProperty(value = "面积")
    private java.lang.String homeMi;
	/**房屋结构*/
	@Excel(name = "房屋结构", width = 15)
    @ApiModelProperty(value = "房屋结构")
    private java.lang.String homeJg;
	/**房屋编号*/
	@Excel(name = "房屋编号", width = 15)
    @ApiModelProperty(value = "房屋编号")
    private java.lang.String homeNo;
	/**房屋周边*/
	@Excel(name = "房屋周边", width = 15)
    @ApiModelProperty(value = "房屋周边")
    private java.lang.String homeBian;
	/**房间数量*/
	@Excel(name = "房间数量", width = 15)
    @ApiModelProperty(value = "房间数量")
    private java.lang.String homeNum;
	/**菜地*/
	@Excel(name = "菜地", width = 15)
    @ApiModelProperty(value = "菜地")
    private java.lang.String homeCai;
	/**距离场镇距离*/
	@Excel(name = "距离场镇距离", width = 15)
    @ApiModelProperty(value = "距离场镇距离")
    private java.lang.String homeJl;
	/**距离成都西三环*/
	@Excel(name = "距离成都西三环", width = 15)
    @ApiModelProperty(value = "距离成都西三环")
    private java.lang.String homeShjl;
	/**房屋主体是否改造*/
	@Excel(name = "房屋主体是否改造", width = 15)
    @ApiModelProperty(value = "房屋主体是否改造")
    private java.lang.String homeGz;
	/**房屋面积*/
	@Excel(name = "房屋面积", width = 15)
    @ApiModelProperty(value = "房屋面积")
    private java.lang.String homeMj;
	/**院子总面积*/
	@Excel(name = "院子总面积", width = 15)
    @ApiModelProperty(value = "院子总面积")
    private java.lang.String homeYzmj;
	/**房屋朝向及海拔*/
	@Excel(name = "房屋朝向及海拔", width = 15)
    @ApiModelProperty(value = "房屋朝向及海拔")
    private java.lang.String homeHb;
	/**是否经过安置*/
	@Excel(name = "是否经过安置", width = 15)
    @ApiModelProperty(value = "是否经过安置")
    private java.lang.String homeAz;
	/**交通*/
	@Excel(name = "交通", width = 15)
    @ApiModelProperty(value = "交通")
    private java.lang.String homeJt;
	/**坟包及电塔 工厂噪音*/
	@Excel(name = "坟包及电塔 工厂噪音", width = 15)
    @ApiModelProperty(value = "坟包及电塔 工厂噪音")
    private java.lang.String homeZy;
	/**水电气网*/
	@Excel(name = "水电气网", width = 15)
    @ApiModelProperty(value = "水电气网")
    private java.lang.String homeSd;
	/**停车*/
	@Excel(name = "停车", width = 15)
    @ApiModelProperty(value = "停车")
    private java.lang.String homeCat;
	/**付款方式及押金*/
	@Excel(name = "付款方式及押金", width = 15)
    @ApiModelProperty(value = "付款方式及押金")
    private java.lang.String homePay;
	/**租期*/
	@Excel(name = "租期", width = 15)
    @ApiModelProperty(value = "租期")
    private java.lang.String homeTime;
	/**非正常死亡*/
	@Excel(name = "非正常死亡", width = 15)
    @ApiModelProperty(value = "非正常死亡")
    private java.lang.String homeSw;
	/**邻居对房东评价*/
	@Excel(name = "邻居对房东评价", width = 15)
    @ApiModelProperty(value = "邻居对房东评价")
    private java.lang.String homePj;
	/**佣金*/
	@Excel(name = "佣金", width = 15)
    @ApiModelProperty(value = "佣金")
    private java.math.BigDecimal homeMoney;
	/**钥匙*/
	@Excel(name = "钥匙", width = 15)
    @ApiModelProperty(value = "钥匙")
    private java.lang.Integer homeYs;
	/**户主家庭职业*/
	@Excel(name = "户主家庭职业", width = 15)
    @ApiModelProperty(value = "户主家庭职业")
    private java.lang.String homeJtzy;
	/**报建手续*/
	@Excel(name = "报建手续", width = 15)
    @ApiModelProperty(value = "报建手续")
    private java.lang.String homeBjsx;
	/**府市民云房屋信息档案查询*/
	@Excel(name = "府市民云房屋信息档案查询", width = 15)
    @ApiModelProperty(value = "府市民云房屋信息档案查询")
    private java.lang.String homeTf;
	/**审核状态*/
	@Excel(name = "审核状态", width = 15, dicCode = "home_status")
	@Dict(dicCode = "home_status")
    @ApiModelProperty(value = "审核状态")
    private java.lang.Integer status;
	/**户主年龄*/
	@Excel(name = "户主年龄", width = 15)
    @ApiModelProperty(value = "户主年龄")
    private java.lang.String homeAge;
	/**产权证照片*/
	@Excel(name = "产权证照片", width = 15)
    @ApiModelProperty(value = "产权证照片")
    private java.lang.String homeImage;
	/**备注*/
	@Excel(name = "备注", width = 15)
    @ApiModelProperty(value = "备注")
    private java.lang.String homeBz;
	/**用户*/
	@Excel(name = "用户", width = 15, dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
	@Dict(dictTable = "han_hai_member", dicText = "nick_name", dicCode = "id")
    @ApiModelProperty(value = "用户")
    private java.lang.String userId;
	/**经度*/
	@Excel(name = "经度", width = 15)
    @ApiModelProperty(value = "经度")
    private java.lang.String longitude;
	/**纬度*/
	@Excel(name = "纬度", width = 15)
    @ApiModelProperty(value = "纬度")
    private java.lang.String latitude;
	/**地区标识*/
	@Excel(name = "地区标识", width = 15, dictTable = "comm_city", dicText = "title", dicCode = "id")
	@Dict(dictTable = "comm_city", dicText = "title", dicCode = "id")
    @ApiModelProperty(value = "地区标识")
    private java.lang.String areaId;
	/**视频*/
	@Excel(name = "视频", width = 15)
    @ApiModelProperty(value = "视频")
    private java.lang.String mpVio;
}
